Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ForInLoopTree

- All Superinterfaces:
    `LoopTree`, `StatementTree`, `Tree`

      public interface ForInLoopTree
      extends LoopTree

  A tree node for for..in statement For example:

         for ( variable in expression )
             statement

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getExpression​()` | The object or array being whose properties are iterated.
    `StatementTree` | `getStatement​()` | The statement contained in this for..in statement.
    `ExpressionTree` | `getVariable​()` | The for..in left hand side expression.
    `boolean` | `isForEach​()` | Returns if this is a for..each..in statement or not.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getVariable

          ExpressionTree getVariable​()

      The for..in left hand side expression.
      Returns:
        the left hand side expression

    - #### getExpression

          ExpressionTree getExpression​()

      The object or array being whose properties are iterated.
      Returns:
        the object or array expression being iterated

    - #### getStatement

          StatementTree getStatement​()

      The statement contained in this for..in statement.
      Specified by:
        `getStatement` in interface `LoopTree`
      Returns:
        the statement

    - #### isForEach

          boolean isForEach​()

      Returns if this is a for..each..in statement or not.
      Returns:
        true if this is a for..each..in statement